<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage Businesszen
* @since Businesszen 1.0.0
*/

if ( ! function_exists( 'businesszen_copyright_text_partial' ) ) :
    // copyright_text
    function businesszen_copyright_text_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

/*=============topbar Section==============*/
if ( ! function_exists( 'businesszen_topbar_no_partial' ) ) :
    // topbar_no
    function businesszen_topbar_no_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['topbar_no'] );
    }
endif;

if ( ! function_exists( 'businesszen_topbar_email_partial' ) ) :
    // topbar_email
    function businesszen_topbar_email_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['topbar_email'] );
    }
endif;

if ( ! function_exists( 'businesszen_topbar_location_partial' ) ) :
    // topbar_location
    function businesszen_topbar_location_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['topbar_location'] );
    }
endif;


/*=============Slider Section==============*/
if ( ! function_exists( 'businesszen_slider_btn_label_partial' ) ) :
    // slider title
    function businesszen_slider_btn_label_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['slider_btn_label'] );
    }
endif;

/*=============About Section==============*/
if ( ! function_exists( 'businesszen_about_subtitle_partial' ) ) :
    // about_subtitle
    function businesszen_about_subtitle_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['about_subtitle'] );
    }
endif;

if ( ! function_exists( 'businesszen_about_btn_title_partial' ) ) :
    // about_btn_title
    function businesszen_about_btn_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['about_btn_title'] );
    }
endif;


/*=============Service Section==============*/

if ( ! function_exists( 'businesszen_service_title_partial' ) ) :
    // service_title
    function businesszen_service_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['service_title'] );
    }
endif;

if ( ! function_exists( 'businesszen_service_sub_title_partial' ) ) :
    // service_sub_title
    function businesszen_service_sub_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['service_sub_title'] );
    }
endif;

if ( ! function_exists( 'businesszen_service_btn_title_partial' ) ) :
    // service_btn_title
    function businesszen_service_btn_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['service_btn_title'] );
    }
endif;

/*=============Team Section==============*/

if ( ! function_exists( 'businesszen_team_title_partial' ) ) :
    // team_title
    function businesszen_team_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['team_title'] );
    }
endif;

if ( ! function_exists( 'businesszen_team_sub_title_partial' ) ) :
    // team_sub_title
    function businesszen_team_sub_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['team_sub_title'] );
    }
endif;

if ( ! function_exists( 'businesszen_team_btn_title_partial' ) ) :
    // team_btn_title
    function businesszen_team_btn_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['team_btn_title'] );
    }
endif;

/*=============Features Section==============*/
if ( ! function_exists( 'businesszen_features_subtitle_partial' ) ) :
    // features_subtitle
    function businesszen_features_subtitle_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['features_subtitle'] );
    }
endif;

if ( ! function_exists( 'businesszen_features_title_partial' ) ) :
    // features_title
    function businesszen_features_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['features_title'] );
    }
endif;

/*=============Contact Section==============*/

// contact_section_subtitle selective refresh
if ( ! function_exists( 'businesszen_contact_section_subtitle_partial' ) ) :
    function businesszen_contact_section_subtitle_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['contact_section_subtitle'] );
    }
endif;
// contact_section_title selective refresh
if ( ! function_exists( 'businesszen_contact_section_title_partial' ) ) :
    function businesszen_contact_section_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['contact_section_title'] );
    }
endif;

/*=============CTA Section==============*/

if ( ! function_exists( 'businesszen_cta_btn_title_partial' ) ) :
    // cta_btn_title
    function businesszen_cta_btn_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['cta_btn_title'] );
    }
endif;

/*=============Latest Posts Section==============*/

if ( ! function_exists( 'businesszen_latest_posts_sub_title_partial' ) ) :
    // latest_posts_sub_title
    function businesszen_latest_posts_sub_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['latest_posts_sub_title'] );
    }
endif;

if ( ! function_exists( 'businesszen_latest_posts_title_partial' ) ) :
    // latest_posts_title
    function businesszen_latest_posts_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['latest_posts_title'] );
    }
endif;

if ( ! function_exists( 'businesszen_latest_posts_btn_title_partial' ) ) :
    // latest_posts_btn_title
    function businesszen_latest_posts_btn_title_partial() {
        $options = businesszen_get_theme_options();
        return esc_html( $options['latest_posts_btn_title'] );
    }
endif;