<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Businesszen
 * @since Businesszen 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'businesszen_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','businesszen' ),
	'description'       => esc_html__( 'Archive section options.', 'businesszen' ),
	'panel'             => 'businesszen_theme_options_panel',
) );

$wp_customize->add_setting( 'businesszen_theme_options[hide_banner]', array(
	'default'           => $options['hide_banner'],
	'sanitize_callback' => 'businesszen_sanitize_switch_control',
) );

$wp_customize->add_control( new Businesszen_Switch_Control( $wp_customize, 'businesszen_theme_options[hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'businesszen' ),
	'section'           => 'businesszen_archive_section',
	'on_off_label' 		=> businesszen_hide_options(),
) ) );

// features content type control and setting
$wp_customize->add_setting( 'businesszen_theme_options[blog_page_column]', array(
	'default'          	=> $options['blog_page_column'],
	'sanitize_callback' => 'businesszen_sanitize_select',
) );

$wp_customize->add_control( 'businesszen_theme_options[blog_page_column]', array(
	'label'             => esc_html__( 'Column Layout', 'businesszen' ),
	'section'           => 'businesszen_archive_section',
	'type'				=> 'select',
	'choices'			=> array( 
		'col-2'		=> esc_html__( 'Two Column', 'businesszen' ),
		'col-3'		=> esc_html__( 'Three Column', 'businesszen' ),
		'col-4'		=> esc_html__( 'Four Column', 'businesszen' ),
	),
) );