<?php
/**
* Homepage (Static ) options
*
* @package Theme Palace
* @subpackage Businesszen
* @since Businesszen 1.0.0
*/

// Homepage (Static ) setting and control.
$wp_customize->add_setting( 'businesszen_theme_options[enable_frontpage_content]', array(
	'sanitize_callback'   => 'businesszen_sanitize_checkbox',
	'default'             => $options['enable_frontpage_content'],
) );

$wp_customize->add_control( 'businesszen_theme_options[enable_frontpage_content]', array(
	'label'       	=> esc_html__( 'Enable Content', 'businesszen' ),
	'description' 	=> esc_html__( 'Check to enable content on static front page only.', 'businesszen' ),
	'section'     	=> 'static_front_page',
	'type'        	=> 'checkbox',
	'active_callback' => 'businesszen_is_static_homepage_enable',
) );