<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage Businesszen
 * @since Businesszen 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'businesszen_pagination', array(
	'title'               => esc_html__('Pagination','businesszen'),
	'description'         => esc_html__( 'Pagination section options.', 'businesszen' ),
	'panel'               => 'businesszen_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'businesszen_theme_options[pagination_enable]', array(
	'sanitize_callback' => 'businesszen_sanitize_switch_control',
	'default'             => $options['pagination_enable'],
) );

$wp_customize->add_control( new Businesszen_Switch_Control( $wp_customize, 'businesszen_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'businesszen' ),
	'section'             => 'businesszen_pagination',
	'on_off_label' 		=> businesszen_switch_options(),
) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'businesszen_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'businesszen_sanitize_select',
	'default'             => $options['pagination_type'],
) );

$wp_customize->add_control( 'businesszen_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'businesszen' ),
	'section'             => 'businesszen_pagination',
	'type'                => 'select',
	'choices'			  => businesszen_pagination_options(),
	'active_callback'	  => 'businesszen_is_pagination_enable',
) );
