<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Businesszen
 * @since Businesszen 1.0.0
 */
$class = has_post_thumbnail() ? 'has-post-thumbnail' : 'no-post-thumbnail';
$options = businesszen_get_theme_options();
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( $class ); ?>>
    <div class="post-item-wrapper">
        <div class="featured-image">
            <a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url( 'post-thumbnail' ); ?>" alt="<?php the_title_attribute(); ?>"></a>
        </div><!-- .featured-image -->

        <div class="entry-container">
            <div class="entry-meta">
            <?php echo businesszen_author_meta(); ?>

                <?php businesszen_posted_on() ; ?>
            </div><!-- .entry-meta -->

            <header class="entry-header">
                <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            </header>

            <div class="entry-content">
               <?php the_excerpt(); ?>
            </div><!-- .entry-content -->
            
        </div><!-- .entry-container -->
    </div>
</article>